# TKSTAR-TK915 SMS Commands

## Nota

* <space> means space character
* <phone number> like 00330612345678 (prefer international format)

.Admin commands
|=======================================================
| Description | Command | Response | Comment
| Change password | password<current password><space><new password> | password ok |
| Enable admin phone number| admin<password><space><phone number> | admin ok | Up to 5 phone numbers.
| Disable admin phone number admin | noadmin<password><space><phone number> | noadmin ok |
|=======================================================

.Configuration commands
|=======================================================
| Description | Command | Response | Comment
| Reset hardware | begin<password> | begin ok |
| Check the device | check<password> | device informations |
| Timezone setting | timezone<password><space><timezone> | time ok | ex: timezone123456 +2
|=======================================================

.Network commands
|=======================================================
| Description | Command | Response | Comment
| Enable GPRS | gprs<password> | gprs ok |
| Disable GPRS | nogprs<password> | nogprs ok |
| Set APN | apn<password><space><APN name> | apn ok |
| Set APN user | apnuser<password> <APN username>| apnuser ok |
| Set APN password | apnpassword<password> <APN password>| apnpassword ok |
|=======================================================

.Alarm commands
|=======================================================
| Get position | g<password># | location informations |
| Enable shock detection | shock<password> | shock ok |
| Disable shock detection | noshock<password> | noshock ok |
| Sleep after 10min | sleep<password><space><time> | sleep time ok |
| Sleep by shock after 5min | sleep<password><space>shock | sleep shock ok |
| Disable sleep mode | sleep<password><space>off | sleep off ok |
| Enable alarm when move | move<password><space><distance in meter> | move ok | ex: move123456 500 (over 500m)
| Disable alam when move | nomove<password> | nomove ok |
| Enable over-speed alarm | speed<password><space>080 | speed ok | ex: speed123456 080 (over 80km/h)
| Disable over-speed alarm | nospeed<password> | nospeed ok |
| Enable Auto location | t<time w/ 3 digits><time unit s/m/h><occurs w/ 3 digits>n<password> | location informations |
*ex*:

* t030s005n123456 send location every 30s, 5 times.

* t001h001n123456 send location every hour, 1 time.

* t005m***n123456 send position every 5min


*time*: from 20sec / cycle between 000 and 255.
| Disable Auto location | notn<password> | notn ok |
|=======================================================